Retrieve a source
GET
/v1/sources/{source_id}
const url = 'https://api.pensievelabs.co/v1/sources/src_agent_trials';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.pensievelabs.co/v1/sources/src_agent_trials \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”source_id
required
string
Example
src_agent_trialsResponses
Section titled “Responses”The source.
Media typeapplication/json
object
id
required
string
object
required
name
required
string
kind
required
string
via
required
string
state
required
string
volume
required
string | null
held_out
required
What is kept out of every training set, such as the last 60 days, or the cases set aside as your test.
string | null
models
required
Array<string>
last_read_at
required
string | null format: date-time
created_at
required
string format: date-time
Example
{ "id": "src_agent_trials", "object": "source", "kind": "stream", "via": "Kafka", "state": "connecting", "volume": "240k a day", "held_out": "Last 60 days held out"}default
Section titled “default”Something went wrong; error.type says what.
Media typeapplication/json
object
error
required
object
type
required
string
message
required
string
param
The request field the error is about.
string | null
request_id
required
string
Example
{ "error": { "type": "invalid_request" }}